public inbox for development@lists.ipfire.org
 help / color / mirror / Atom feed
From: Jonatan Schlag <jonatan.schlag@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH] Add tool to format rootfiles
Date: Sat, 05 Sep 2020 08:40:08 +0000	[thread overview]
Message-ID: <20200905084008.29873-1-jonatan.schlag@ipfire.org> (raw)

[-- Attachment #1: Type: text/plain, Size: 2387 bytes --]

There are some rules which files should be definitely not included in a
rootfile. Applying these rules by hand is error prone and annoying. So I
wrote these simple command, because computer can apply these rules
faster and better than humans :-;

It removes all lines starting with '-' and comment out all lines which
point to files which should not be included in the distribution. This
list needs to be extended, but I think this is a good starting point to
make the creating of rootfiles easier.

Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
 make.sh | 37 ++++++++++++++++++++++++++++++++++++-
 1 file changed, 36 insertions(+), 1 deletion(-)

diff --git a/make.sh b/make.sh
index 4a9dd3cb6..909d4a4de 100755
--- a/make.sh
+++ b/make.sh
@@ -1895,6 +1895,41 @@ downloadsrc)
 	fi
 	cd - >/dev/null 2>&1
 	;;
+format-rootfile)
+	if [ ! -f $2 ]; then
+		echo -n "'$2' is not a regular file"
+		beautify message FAIL
+		exit 1
+	fi
+
+	ROOTFILE_TO_FORMAT="$2"
+
+	# Remove all .so files in /usr/lib
+	sed -i '/^\+usr\/lib\/.*\.so$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+	# Remove all .a files in /usr/lib
+	sed -i '/^\+usr\/lib\/.*\.a$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+
+	# Remove all .la files in /usr/lib
+	sed -i '/^\+usr\/lib\/.*\.la$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+	# Remove all .hpp files in /usr/include
+	sed -i '/^\+usr\/include\/.*\.hpp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+	# Remove all .h files in /usr/include
+	sed -i '/^\+usr\/include\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+	# Remove all .ipp files in /usr/include
+	sed -i '/^\+usr\/include\/.*\.ipp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+	# Remove all .m4 files in /usr/share/aclocal
+	sed -i '/^\+usr\/share\/aclocal\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+	# Remove all lines starting with -
+	sed -i '/^-.*$/d' "$ROOTFILE_TO_FORMAT"
+
+;;
 toolchain)
 	# Clear screen
 	${INTERACTIVE} && clear
@@ -1990,7 +2025,7 @@ find-dependencies)
 	exec "${BASEDIR}/tools/find-dependencies" "${BASEDIR}/build" "$@"
 	;;
 *)
-	echo "Usage: $0 {build|changelog|clean|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
+	echo "Usage: $0 {build|changelog|clean|format-rootfile|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
 	cat doc/make.sh-usage
 	;;
 esac
-- 
2.20.1


             reply	other threads:[~2020-09-05  8:40 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-05  8:40 Jonatan Schlag [this message]
2020-09-05 19:14 ` Adolf Belka
2020-09-05 19:30   ` Adolf Belka
2020-09-10 11:45 ` Michael Tremer
2020-09-14 11:02   ` Jonatan Schlag
2020-09-17  7:22     ` Michael Tremer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20200905084008.29873-1-jonatan.schlag@ipfire.org \
    --to=jonatan.schlag@ipfire.org \
    --cc=development@lists.ipfire.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox